# Changelog

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.27.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.26.0...v1.27.0) (2024-03-18)


### Features

* double invitation links ([0feb816](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/0feb81635069755d3873d55055fad849d77ccf3e))

## [1.26.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.25.0...v1.26.0) (2024-03-18)


### Features

* json-ld in dashboard ([8db1fd7](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/8db1fd783be41b0b6a73f1e91a13b68540f63d1a))

## [1.25.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.24.2...v1.25.0) (2024-02-22)


### Features

* add json-ld credential support ([503a2c6](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/503a2c6b5dffd5676fe4ff89b600d7600c3c8564))

## [1.24.2](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.24.1...v1.24.2) (2024-02-22)


### Bug Fixes

* add topic type to each webhook ([b8a1520](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/b8a15207f59f30c8e3e3f9355aa9dc8ad21c8b74))

## [1.24.1](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.24.0...v1.24.1) (2024-02-21)


### Bug Fixes

* move trust ping event behind isRest flag only ([61f517b](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/61f517b1f64f44e3125f56974c6e2dbf815492ee))

## [1.24.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.23.1...v1.24.0) (2024-02-20)


### Features

* [HIN] handle multiple webhooks ([4a250a2](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/4a250a232c47434d482f024b3a1948272f5697f3))

## [1.23.1](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.23.0...v1.23.1) (2024-02-16)


### Bug Fixes

* increase body parser to 40mb ([a2d3010](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/a2d3010c4eae640adbd593d00c96fec8f759c1a4))

## [1.23.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.22.0...v1.23.0) (2024-02-14)


### Features

* trust ping api ([a9c427a](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/a9c427ab2e108182e3865e5c191ac766fcc9cdd6))

## [1.22.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.21.0...v1.22.0) (2024-02-06)


### Features

* add log level from env vars ([e53baa2](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/e53baa20d662318da4e9ba69c6dcc495a36e3d24))

## [1.21.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.20.0...v1.21.0) (2024-02-05)


### Features

* login with vc ([72b04b4](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/72b04b421bec0233085e34dba8e958909f1e059a))

## [1.20.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.19.0...v1.20.0) (2023-12-21)


### Features

* dashboard ui ([be8c4b6](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/be8c4b6b8f1a3862a05ad9389e34be2a2877148f))

## [1.19.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.18.0...v1.19.0) (2023-12-14)


### Features

* add did:web support to ocm-engine ([4f196ae](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/4f196ae708fd2a74c449ff4710739e737a1e8134))

## [1.18.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.17.0...v1.18.0) (2023-12-05)


### Features

* add invitation get by id endpoint ([cebd2e3](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/cebd2e3f5f9a4e5b3fc108c689c6f963ed3bfd04))

## [1.17.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.16.0...v1.17.0) (2023-12-05)


### Features

* add invitation list endpoint with query params ([2317fd2](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/2317fd26dfc83060b4efcc428fc6a869fa604575))

## [1.16.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.15.0...v1.16.0) (2023-12-04)


### Features

* add delete invitation endpoint ([8764be2](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/8764be29c6ad46cd3c6af2e530aa73376e682112))

## [1.15.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.14.0...v1.15.0) (2023-12-04)


### Features

* add new endpoint for getting connection by out of band id ([3a4db75](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/3a4db75c1e1b8c2f1a1d2a351c62e23eddb2155b))

## [1.14.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.13.3...v1.14.0) (2023-12-04)


### Features

* improve invitations with additional params ([cef60ad](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/cef60ad8273e68d7e0f1f1f3326484ce0f9cb63e))

## [1.13.3](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.13.2...v1.13.3) (2023-11-27)


### Bug Fixes

* createdAt should be optional field ([78a45d0](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/78a45d0f6a67156ae609969f1f85a3dd3daf2349))

## [1.13.2](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.13.1...v1.13.2) (2023-11-27)


### Bug Fixes

* invitations/accept with shortInvitiationUrl fails with wrong validation ([55890b1](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/55890b1f478c8272c22479fe6c3f3ed911ea584a))

## [1.13.1](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.13.0...v1.13.1) (2023-11-22)


### Bug Fixes

* oob goals empty cause a exception ([2398110](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/23981107e5bec2c8fcd60d5876af61cc28ff98b5))

## [1.13.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.12.0...v1.13.0) (2023-11-15)


### Features

* goal field in invitations ([f80c772](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/f80c772b359c79e7fd2abf0aaa13503414992289))

## [1.12.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.11.1...v1.12.0) (2023-11-10)


### Features

* enhanced server functionality ([8519230](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/85192304b971491b4605abf8d1ee6e8e24db2b24))

## [1.11.1](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.11.0...v1.11.1) (2023-11-02)


### Bug Fixes

* separate swagger generation from server run ([efb63a9](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/efb63a9b791e938df6cc782229f6b2d13a091d87))

## [1.11.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.10.0...v1.11.0) (2023-10-09)


### Features

* implement basic auth for id union ([9e15ff4](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/9e15ff4ba8528d3bc71b52f243580dc16e1d0aa8))

## [1.10.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.9.0...v1.10.0) (2023-09-25)


### Features

* implement url shortener for invitation urls ([5ee43e8](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/5ee43e86320b46e53e5e6cb9c658500ec1f14e51))

## [1.9.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.8.0...v1.9.0) (2023-09-19)


### Features

* improve proof api ([ab95aac](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/ab95aac816b582c250f3f07a1c0f287a82ef9bff))

## [1.8.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.7.1...v1.8.0) (2023-09-12)


### Features

* rest agent support for connection and proof change state events ([de04959](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/de04959d975f398fd5ab4ce628fba57a440c9d0b))

## [1.7.1](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.7.0...v1.7.1) (2023-08-21)


### Bug Fixes

*  bcovrin return emtpy object on issue creadential ([7fb23c1](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/7fb23c14bda95f2530012d3c54475584d7851d25))

## [1.7.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.6.0...v1.7.0) (2023-08-08)


### Features

* add separate var for peer port ([63ca360](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/63ca360e5fcf670964eebfd15147f3b80127df66))
* replace socket.io with websocket ([119d295](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/119d295fb614f20be715fddf6a5dc3c757ccaf91))


### Bug Fixes

* bcovrin interaction with ledger ([a72dc2b](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/a72dc2b78611f56769c642928e1d991f6b9ebee3))

## [1.6.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.5.0...v1.6.0) (2023-06-13)


### Features

* implement agent events for basic messages ([c8a5a16](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/c8a5a16fe7b807ee1abd77a8469b6e21ddde12a7))

## [1.5.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.4.0...v1.5.0) (2023-06-12)


### Features

* implement proof micro service ([d286abc](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/d286abc5916512a6dae1a5fe9f0aef5bf4ed8512))

## [1.4.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.3.0...v1.4.0) (2023-06-09)


### Features

* implement attestation micro service ([40d9bfe](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/40d9bfeb290ba35ec425bcd8c584dcd83a494968))

## [1.3.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.2.0...v1.3.0) (2023-06-09)


### Features

* implement connection micro service ([6048136](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/60481361307183bc6fd914011bfa13ce70e34dc7))

## [1.2.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.1.0...v1.2.0) (2023-06-05)


### Features

* implement nat broker consumer-provider ([051ccc3](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/051ccc3222902750ee490fb8f8a25c402dae18ae))

## [1.1.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.0.1...v1.1.0) (2023-05-30)


### Features

* agent implementation ([fea88b6](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/fea88b606efe2829aa34f38d0248d0aba7c61678))

## [1.0.1](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.0.0...v1.0.1) (2023-05-23)


### Bug Fixes

* remove skip ci ([7d05869](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/7d0586999bb39e9d38fcd4e64215edbe8baf8808))

## 1.0.0 (2023-05-23)


### Features

* implement gitlab ci ([b2ee96d](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/b2ee96d5cd6a25e6da9ec0ddd5b0f6763d15cc7f))
* setup nx monorepo ([7cfb4f3](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/7cfb4f37c3f280388557d1026c6667a8ae11b4c1))


### Bug Fixes

* add image to changelog step ([b6aeb97](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/b6aeb970b1e44f6dc4b66ffe9a0fd1c6de91a562))
