import React from "react";
import s from "./styles.module.scss";

interface Props {
  children: React.ReactNode;
}

const PageTitle: React.FC<Props> = ({ children }) => {
  return <div className={s.title}>{children}</div>;
};

export default PageTitle;
