import { ApiResponse } from "@nestjs/swagger";
import { applyDecorators } from "@nestjs/common";
import { GatewayAcceptedResponseDto } from "@ocm-engine/dtos";

const OcmGatewayResponse = () => {
  return applyDecorators(
    ApiResponse({
      status: 201,
      description:
        "Request is accepted for execution, the response id will match the event id received from the web socket",
      type: GatewayAcceptedResponseDto,
    }),
  );
};

export default OcmGatewayResponse;
