import { IsBoolean, IsNotEmpty, IsString } from "class-validator";

export class CreateCredentialDefinitionRequestDto {
  @IsNotEmpty()
  @IsString()
  schemaId: string;

  @IsNotEmpty()
  @IsBoolean()
  supportRevocation: boolean;

  @IsNotEmpty()
  @IsString()
  tag: string;
}
